﻿

/* Document
   ========================================================================== */

/* グローバルナビ用  
   ========================================================================== */
nav.globalMenuSp {
    position: fixed;
    z-index: 990;
    top: 0;
    right: 0;
    color:#1f1f1f;
	background-color: rgba(0,0,0,0.85);
	backdrop-filter: blur(4px);
    transform: translateX(100%);
    transition: all 0.6s;
    width: 100%;
	height: 100vh;
	padding: 0 15px;
	overflow-y: auto;
}
nav.globalMenuSp ul.spn01 {
	font-weight: 400;
    margin: 60px auto 30px;
    padding: 0;
    width: 100%;
	max-width: 400px;
}
nav.globalMenuSp ul.spn01 >li {
    font-size: 1em;
    list-style-type: none;
    padding: 1em 0;
    width: 100%;
	border-bottom: solid 1px #ccc;
}

nav.globalMenuSp ul.spn01 li span{
	font-size: 90% ;
	color: #aa9609;
	font-family: 'Cormorant Garamond', serif;
	text-transform: uppercase;
	padding-right: 0.5em;
}
nav.globalMenuSp ul.spn01 li a {
    display: block;
    color: #fff;
    padding: 0.5em 1em ;
	text-decoration-line: none;
}
nav.globalMenuSp ul.spn01 >li a:hover{
	opacity: 0.5;
	transition: 0.5;
}

ul.spn02{
	margin-left: 1em;
}



/* このクラスを、jQueryで付与・削除する */
nav.globalMenuSp.active {
    transform: translatey(0%);
}

.btn_header_sp a{
	font-family: 'Noto Serif JP', serif;
	font-weight: 600;
	display: block;
	text-align: center;
	width: 100%;
	max-width: 400px;
	color: #aa9609;
	background: rgba(0,0,0,0.2);
	border: solid 1px #ccc;
	padding: 1em;
	margin: 10px auto;
	position: relative;
	opacity: 1;
}

.btn_header_sp a::after{
	font-family: 'Font Awesome 6 Free';
	font-weight: 900;
	content: "\f105";
	position: absolute;
	top: calc(50% - 0.5em);
	right: 15px;
	transition: .5s;
}
.btn_header_sp :hover{
	opacity: 0.5;
	transition: .5s;
}
.btn_header_sp a:hover::after{
	right: 10px;
	transition: .5s;
}


/* ハンバーガー用
   ========================================================================== */

.navToggle {
    display: block;
    position: fixed;    /* bodyに対しての絶対位置指定 */
    right: 15px;
    top: 30px;
    width: 58px;
    height: 58px;
    cursor: pointer;
    z-index: 995;
    background-color: transparent;
    text-align: center;
}
 
.navToggle span {
    display: block;
    position: absolute;    /* .navToggleに対して */
    width: 46px;
    border-bottom: solid 3px #fff;
    transition: .35s ease-in-out;
    left: 6px;
}
 
.navToggle span:nth-child(1) {
    top: 9px;
}
 
.navToggle span:nth-child(2) {
    top: 18px;
}
 
.navToggle span:nth-child(3) {
    top: 27px;
}
.navToggle.recolor span {
	border-bottom: solid 3px #333;
}
 

/* タップした後 
   ========================================================================== */

/* 最初のspanをマイナス45度に */
.navToggle.active span:nth-child(1) {
    top: 18px;
    left: 6px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
 
/* 2番目と3番目のspanを45度に */
.navToggle.active span:nth-child(2),
.navToggle.active span:nth-child(3) {
    top: 18px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    transform: rotate(45deg);
}

.navToggle.recolor.active span{
	border-bottom: solid 3px #fff;
}